package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 朗通产品表
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
@TableName("diag_lantone_product")
public class LantoneProduct implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 产品id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 是否删除 N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private LocalDateTime gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 产品名称
     */
    private String name;

    /**
     * 产品介绍
     */
    private String decription;

    /**
     * 计费方式（1.流程计费2.机构计费3.用户计费）
     */
    private Integer chargeType;

    /**
     * 产品路径
     */
    private String url;

    /**
     * 机构开通数量
     */
    private Integer openNum;

    /**
     * 停用状态
     */
    private Integer serviceStatus;

    /**
     * 试用状态
     */
    private Integer trialStatus;

    /**
     * 试用地址
     */
    private String trialUrl;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public LocalDateTime getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(LocalDateTime gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public LocalDateTime getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(LocalDateTime gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDecription() {
        return decription;
    }

    public void setDecription(String decription) {
        this.decription = decription;
    }

    public Integer getChargeType() {
        return chargeType;
    }

    public void setChargeType(Integer chargeType) {
        this.chargeType = chargeType;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getOpenNum() {
        return openNum;
    }

    public void setOpenNum(Integer openNum) {
        this.openNum = openNum;
    }

    public Integer getServiceStatus() {
        return serviceStatus;
    }

    public void setServiceStatus(Integer serviceStatus) {
        this.serviceStatus = serviceStatus;
    }

    public Integer getTrialStatus() {
        return trialStatus;
    }

    public void setTrialStatus(Integer trialStatus) {
        this.trialStatus = trialStatus;
    }

    public String getTrialUrl() {
        return trialUrl;
    }

    public void setTrialUrl(String trialUrl) {
        this.trialUrl = trialUrl;
    }

    @Override
    public String toString() {
        return "LantoneProduct{" +
        "id=" + id +
        ", isDeleted=" + isDeleted +
        ", gmtCreate=" + gmtCreate +
        ", gmtModified=" + gmtModified +
        ", creator=" + creator +
        ", modifier=" + modifier +
        ", name=" + name +
        ", decription=" + decription +
        ", chargeType=" + chargeType +
        ", url=" + url +
        ", openNum=" + openNum +
        ", serviceStatus=" + serviceStatus +
        ", trialStatus=" + trialStatus +
        ", trialUrl=" + trialUrl +
        "}";
    }
}
