package com.diagbot.client;

import com.diagbot.client.hystrix.DiagbotmanServiceHystrix;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.ServiceFilter;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;


/**
 * @Description: 产品服务客户端
 * @Author: ztg
 * @Date: 2018/9/18 15:19
 */
@FeignClient(value = "diagbotman-service",fallback = DiagbotmanServiceHystrix.class )
public interface DiagbotmanServiceClient {

    @PostMapping("/service_filter/getAll")
    RespDTO<List<ServiceFilter>> getAll();

    @PostMapping("/serviceToken/hasPermisson")
    RespDTO<Boolean> hasPermission(@RequestParam("appkey") String appkey, @RequestParam("secret") String secret, @RequestParam("productId") Long productId);

}



