package com.diagbot.web;

import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.User;
import com.diagbot.entity.UserInfo;
import com.diagbot.entity.UserInfoOrganizations;
import com.diagbot.facade.UserFacade;

import io.swagger.annotations.ApiOperation;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @Description: 外部用户信息
 * @author: wangfeng
 * @time: 2018年9月17日 下午1:53:53
 */
@RestController
@RequestMapping("/userInfo")
public class UserInfoController {
	
	@Autowired
    private UserFacade userFacade;
	
	    @ApiOperation(value = "分页查询获取用户信息", notes = "根据每页显示条数，默认 10，和当前页")
	    @PostMapping("/getUserInfoPag")
	    @SysLogger("getUserInfoPag")
//	    @ApiIgnore
	    public RespDTO getUserInfoPag(Page page,String orgName,String autStatus ){
	    	UserInfo userInfo =new UserInfo();
	    	userInfo.setOrgName(orgName);
	    	userInfo.setAutStatus(autStatus);
	        IPage<UserInfo> user=  userFacade.selectUserInfoListPage(page,userInfo);
	        return RespDTO.onSuc(user);
	    }
	    
	    @ApiOperation(value = "修改用户信息和机构信息以及删除用户信息和机构信息", notes = "用户信息和机构信息")
	    @PostMapping("/updateUserInfoAll")
	    @SysLogger("updateUserInfoAll")
	    public RespDTO updateUserInfoAll(UserInfoOrganizations userInfo){
	         int res= userFacade.updateUserInfoAll(userInfo);
	         
	        return RespDTO.onSuc("成功"+res);
	    }
	
}
